package preferences;

import java.awt.Color;

/**
 * A Class to save all colors in Holeg.
 * @author Tom
 *
 */
public class ColorPreference {
	
	
	public static class Element{
		public static class Priority{
			public static final Color Essential = new Color(201, 44, 74);
			public static final Color High = new Color(255, 92, 26);
			public static final Color Medium = new Color(255, 216, 57);
			public static final Color Low = new Color(255, 255, 175);
			public static final Color NoData = new Color(21, 8, 17);
		}
		public static final Color Active = new Color(255, 203, 35);
		public static final Color Inactive = new Color(128, 154, 163);
	}
	public static class HolonObject{
		public static final Color Producer = Color.lightGray;
		public static final Color OverSupplied = new Color(166, 78, 229);
		public static final Color Supplied = new Color(13, 175, 28);
		public static final Color PartiallySupplied = Color.yellow;
		public static final Color NotSupplied = new Color(230, 120, 100);
		public static final Color NoEnergy = Color.white;
	}
	public static class Energy{
		public static final Color Production = new Color(61, 133, 243);
		public static final Color Consumption = new Color(255, 67, 60);
	}
	public static class Flexibility{
		public static final Color InUse = new Color(182, 238, 166);
		public static final Color OnCooldown = new Color(239, 215, 128);
		public static final Color Offered = new Color(75, 170, 72);
		public static final Color NotOffered = new Color(237, 106, 90);
		public static final Color Unavailable = new Color(193, 193, 193);
	}
	
	public static class Panel {
		public static final Color Transparent = new Color(0,0,0,0);
		public static final Color Background = new Color(250, 250, 250);
		public static final Color Title = new Color(54, 73, 78);
	}
}
